<?php
/**
*
* @package Simple Referral MOD
* @version $Id$
* @copyright (c) 2012 Siropu, www.siropu.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* ucp_zebra
* @package ucp
*/
class ucp_referrals
{
	var $u_action;

	function main($id, $mode)
	{
		global $config, $db, $user, $auth, $template, $phpbb_root_path, $phpEx;

		switch ($mode)
		{
		    case 'referrer':

			    $this->tpl_name = 'ucp_referrals_referrer';
		        $this->page_title = 'UCP_REFERRER';
				
				$sql = 'SELECT COUNT(referral_id) as total_referrals
				    FROM ' . REFERRALS_TABLE;
			    $result = $db->sql_query($sql);
			    $total_referrals = $db->sql_fetchfield('total_referrals');
			    $db->sql_freeresult($result);

				$template->assign_vars(array(
			        'REFERRAL_LINK'      => generate_board_url() . "/index.$phpEx?r=" . $user->data['user_id'],
					'TOTAL_REFERRALS'    => $total_referrals,
		        ));

			break;

		    case 'referrals':

			    $this->tpl_name = 'ucp_referrals_view';
		        $this->page_title = 'UCP_VIEW_REFERRALS';
				
				$sql = 'SELECT referral_username
                    FROM ' . REFERRALS_TABLE . '
                    WHERE referrer_id = ' . $user->data['user_id'];
      	        $result = $db->sql_query($sql);

				while($row = $db->sql_fetchrow($result))
				{    
					$template->assign_block_vars('referrals',array(
						'REFERRAL_USERNAME' => $row['referral_username'],
					));
				}

			break;

			case 'invite':

				$this->tpl_name = 'ucp_referrals_invite';
		        $this->page_title = 'UCP_INVITE';
				
				include_once($phpbb_root_path . 'includes/functions_messenger.' . $phpEx);
                $messenger = new messenger(false);

				$submit       = (isset($_POST['submit'])) ? true : false;
				$recipients   = request_var('recipients', '');
				$sender_email = request_var('sender_email','');
				$subject      = utf8_normalize_nfc(request_var('subject',''));
				$message      = utf8_normalize_nfc(request_var('message',''));

			    if ($submit)
				{
				    $recipients = array_unique(explode("\n",$recipients));
				    $total_recipients = count($recipients);

				    if ($total_recipients >= 1 && !empty($sender_email) && !empty($subject) && !empty($message))
					{
					    foreach ($recipients as $recipient)
						{
                            $messenger->template('referrals_send_invitation', $user->data['user_lang']);
                            $messenger->to($recipient, '');
							$messenger->from($sender_email, '');
                            $messenger->assign_vars(array(
						        'SUBJECT'         => $subject,
						        'MESSAGE'         => $message,
								'REFERRAL_LINK'   => generate_board_url() . "/index.$phpEx?r=" . $user->data['user_id'],
                            ));
                            $messenger->send();
						}
						$messenger->save_queue();

						meta_refresh(3, $this->u_action);
				        $message = $user->lang['INVITATION_SENT'] . '<br /><br />' . sprintf($user->lang['RETURN_UCP'], '<a href="' . $this->u_action . '">', '</a>');
				        trigger_error($message);
					}
					else
					{
					    $template->assign_vars(array(
			                'FORM_ERROR'      => true,
		                ));
					}
				}

				$template->assign_vars(array(
			        'SENDER_EMAIL' => $user->data['user_email'],
		        ));
	
            break;
		}
	}
}

?>