<?php
/**
*
* @package Simple Referral MOD
* @version $Id$
* @copyright (c) 2012 Siropu, www.siropu.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('UMIL_AUTO', true);
define('IN_PHPBB', true);

$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include($phpbb_root_path . 'common.' . $phpEx);

$user->session_begin();
$auth->acl($user->data);
$user->setup();

if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

$mod_name = 'Simple Referral MOD';
$version_config_name = 'referral_mod_version';

$versions = array(
	'1.0.0' => array(
	    'config_add' => array(
			array('referral_mod_enable', '0', '0'),
		),

		'table_add' => array(
			array('phpbb_referrals', array(
					'COLUMNS' => array(
						'referral_id'       => array('UINT', NULL, 'auto_increment'),
						'referral_username' => array('VCHAR', ''),
						'referrer_id'       => array('UINT', 0),
						'referrer_username' => array('VCHAR', ''),
						'referral_since'    => array('TIMESTAMP', 0),
					),
					'PRIMARY_KEY' => 'referral_id',
				),
			),
		),

		'table_column_add' => array(
            array('phpbb_users', 'user_referrals' , array('UINT', 0)),
        ),

        'module_add' => array(
			array('ucp', 0, 'UCP_REFERRALS'),
			array('ucp', 'UCP_REFERRALS', array(
					'module_basename' => 'referrals',
					'modes'			  => array('referrer','referrals','invite'),
				),
			),
		),	

		'cache_purge' => array(
			'template',
			'theme',
			'cache',
		),
	),
);

include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);

?>